Bug 237763 - firefox segfaults with error message: Gtk-WARNING **: Unable to locate theme engine in module_path: "<theme-name>"
firefox segfaults with error message: Gtk-WARNING **: Unable to locate theme ...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 05:59 EDT by A. Folger
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 08:09:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A. Folger 2007-04-25 05:59:17 EDT
Description of problem:
Since a few days, Firefox stopped working. Starting the binary from the 
console without wrapper script, IOW, 
with /usr/lib/firefox-1.5.0.10/firefox-bin, produces the following error 
message:
Gtk-WARNING **: Unable to locate theme engine in module_path: "<theme-name>"

The error message remains even when changing theme using gnome-theme-manager, 
to change from Clearlooks to Bluecurve, for example. However, the theme engine 
seems to work, since other applications using Gtk-themes do accept the changes 
(e.g. OpenOffice).

I created a separate user account for testing from a clean home directory, and 
there Firefox works. I tried deleting .gnome*, .gconf*, .gtk*, .config 
and .kde/share/config/gtkrc*, but to no avail. I backed up and 
deleted .mozilla, too, to no avail.

Version-Release number of selected component (if applicable):
I tried with both firefox-1.5.0.9 and firefox-1.5.0.10

How reproducible:
In my broken home directory, every time, in the testing directory, never.

Steps to Reproduce:
1. Start Firefox
2.
3.
  
Actual results:
Nothing happens, or, if /usr/lib/firefox-1.5.*/firefox-bin was started from a 
console, the error message 
(firefox-bin:19771): Gtk-WARNING **: Unable to locate theme engine in 
module_path: "bluecurve",
Segmentation fault

appears.

Expected results:
Firefox starts and is available for use.

Additional info:
As mentioned above, Firefox worked just fine until a few days ago, though I 
can't see what happened. I did access that home directory from Ubuntu Feisty 
(shared homedir for two distros, though Fedora is what I really work with, 
Ubuntu is a spare for testing when things break or weren't released yet in 
Fedora), but that always worked perfectly in the past, admittedly under Edgy.
Comment 1 Martin Stransky 2007-04-25 06:04:20 EDT
please attach a backtrace, how-to is here -
http://people.redhat.com/stransky/mozilla/
Comment 2 A. Folger 2007-04-25 06:53:29 EDT
Sorry for my ignorance, but:
[root@dhcppc0 afolger]# yum list "*debug*"
Loading "installonlyn" plugin
Setting up repositories
core                      100% |=========================| 1.1 kB    00:00
updates                   100% |=========================| 1.2 kB    00:00
freshrpms                 100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
Available Packages
bochs-debugger.x86_64                    2.3-3.fc6              extras
gallery2-debug.noarch                    2.1-0.24.svn20060817.f extras
kernel-debug.x86_64                      2.6.20-1.2944.fc6      updates
kernel-debug-devel.x86_64                2.6.20-1.2944.fc6      updates
kmod-em8300-debug.x86_64                 0.16.1-3.2.6.20_1.2944 extras
mono-debugger.x86_64                     0.30-7.fc6             extras
mono-debugger-devel.x86_64               0.30-7.fc6             extras
php-pecl-xdebug.x86_64                   2.0.0-0.5.RC2.fc6      extras
tcldebugger.noarch                       1.4-1.20061030cvs.fc6  extras
[root@dhcppc0 afolger]# 

I am not finding any firefox debug packages. Or do you mean I should use a 
profiler (ddd) or something similar? I have no experience with C programming 
and would appreciate some hand holding.

BTW, I also tried running Firefox in safe mode and had the following error:
[afolger@dhcppc0 ~]$ /usr/lib/firefox-1.5.0.10/firefox -safe-mode

(firefox-bin:25109): Gtk-WARNING **: Unable to locate theme engine in 
module_path: "clearlooks",
/usr/lib/firefox-1.5.0.10/run-mozilla.sh: line 131: 25109 Segmentation 
fault      "$prog" ${1+"$@"}
[afolger@dhcppc0 ~]

Eagerly awaiting your instructions...
Comment 3 Martin Stransky 2007-04-25 06:55:44 EDT
search for firefox-debuginfo package.
Comment 4 A. Folger 2007-04-25 07:30:55 EDT
I did that. In addition to the above, I also did the following:
[root@dhcppc0 afolger]# yum list "firefox*"
Loading "installonlyn" plugin
Setting up repositories
core                      100% |=========================| 1.1 kB    00:00
updates                   100% |=========================| 1.2 kB    00:00
freshrpms                 100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
Installed Packages
firefox.i386                             1.5.0.10-5.fc6         installed
firefox-32.x86_64                        0.0.1-5.fc6            installed
Available Packages
firefox.x86_64                           1.5.0.10-5.fc6         updates
firefox-devel.x86_64                     1.5.0.10-5.fc6         updates
firefox-devel.i386                       1.5.0.10-5.fc6         updates
[root@dhcppc0 afolger]#

As you can see, AFAICT, there are no firefox-debug packages in the yum 
repositories.

However, I found the package firefox-debuginfo on rpm.pbone.net and installed 
it. However, there do not seem to be any executables in that package:

[root@dhcppc0 afolger]# 
rpm -i /projects/downloads/firefox-debuginfo-1.5.0.9-3.fc6.i386.rpm
[root@dhcppc0 afolger]# rpm -ql firefox-debuginfo|grep bin
/usr/lib/debug/usr/lib/firefox-1.5.0.9/extensions/inspector@mozilla.org/components/libinspector.so.debug
/usr/lib/debug/usr/lib/firefox-1.5.0.9/firefox-bin.debug
/usr/lib/debug/usr/lib/firefox-1.5.0.9/libgtkxtbin.so.debug
/usr/src/debug/firefox-1.5.0.9/mozilla/editor/libeditor/base/nsIAbsorbingTransaction.h
/usr/src/debug/firefox-1.5.0.9/mozilla/widget/src/gtkxtbin
/usr/src/debug/firefox-1.5.0.9/mozilla/widget/src/gtkxtbin/gtk2xtbin.c
/usr/src/debug/firefox-1.5.0.9/mozilla/widget/src/gtkxtbin/gtk2xtbin.h
[root@dhcppc0 afolger]#

In fact, I tried the following:
[afolger@dhcppc0 ~]$ /usr/lib/debug/usr/lib/firefox-1.5.0.9/firefox-bin.debug
bash: /usr/lib/debug/usr/lib/firefox-1.5.0.9/firefox-bin.debug: cannot execute 
binary file

So something ain't working here in the debug package, I am afraid.
Comment 5 Matěj Cepl 2007-04-25 07:43:57 EDT
martin, he doesn't have core-debuinfo repository. Reporter, could you please try
again with --enablerepo=core-debuginfo. I.e.,

yum list --enablerepo=core-debuginfo firefox\*

and then

yum install --enablerepo=core-debuginfo firefox-debuginfo
Comment 6 A. Folger 2007-04-25 08:18:10 EDT
Thanks. So I uninstalled the rpm from rpm.pbone.net, and I executed the above 
yum command succesfully. But the problem remains. What binary should I run? I 
tried the following:
[root@dhcppc0 afolger]# rpm -ql firefox-debuginfo|grep bin
/usr/lib/debug/usr/lib/firefox-1.5.0.7/extensions/inspector@mozilla.org/components/libinspector.so.debug
/usr/lib/debug/usr/lib/firefox-1.5.0.7/firefox-bin.debug
/usr/lib/debug/usr/lib/firefox-1.5.0.7/libgtkxtbin.so.debug
/usr/src/debug/mozilla/editor/libeditor/base/nsIAbsorbingTransaction.h
/usr/src/debug/mozilla/widget/src/gtkxtbin
/usr/src/debug/mozilla/widget/src/gtkxtbin/gtk2xtbin.c
/usr/src/debug/mozilla/widget/src/gtkxtbin/gtk2xtbin.h
[root@dhcppc0 afolger]#

Which produced almost the output as with the earlier debug package (except for 
the version, as yum produces 1.5.0.7, while rpmbone had version 1.5.0.9). So I 
tried running what seemed the best candidate for the firefox binary:
[afolger@dhcppc0 ~]$ /usr/lib/debug/usr/lib/firefox-1.5.0.7/firefox-bin.debug
bash: /usr/lib/debug/usr/lib/firefox-1.5.0.7/firefox-bin.debug: cannot execute 
binary file
[afolger@dhcppc0 ~]$

So what should I do now?
Comment 7 Matěj Cepl 2007-04-25 08:49:07 EDT
I am sorry, we should tell you. No, the content of -debuginfo* is for the
purposes of running firefox just heap of useless junk, it is used when
generating backtrace (about that in the moment). Just go ahead and run (as if
nothing happened; but check that you have installed gdb package)

firefox -g

and when you get the command prompt than just type

handle SIG33 noprint nostop

and hit ENTER and

run

and hit Enter again and behave as if nothing happened, just browse and do
whatever you can to reproduce the crash (visit the same website, etc.). When
firefox crashes (it's window may just remain frozen, ignore it) you go back into
gdb command prompt and then run

thread apply all bt full

the result should be copied into the comment of this bug.

Thank you very much.

Full the description of all this stuff is
http://kb.mozillazine.org/Getting_a_stacktrace_with_gdb
Comment 8 A. Folger 2007-04-25 09:22:35 EDT
mcepl, I did as you asked. Here is the output of firefox + firefox-debuginfo + 
gdb:

[afolger@dhcppc0 ~]$ /usr/lib/firefox-1.5.0.10/firefox -safe-mode -g
/usr/lib/firefox-1.5.0.10/run-mozilla.sh -g /usr/lib/firefox-1.5.0.10/firefox-bin -safe-mode
MOZILLA_FIVE_HOME=/usr/lib/firefox-1.5.0.10
  
LD_LIBRARY_PATH=/usr/lib/firefox-1.5.0.10:/usr/lib/firefox-1.5.0.10/plugins:/usr/lib/mre/mre-1.5.0.10
DISPLAY=:0.0
DYLD_LIBRARY_PATH=/usr/lib/firefox-1.5.0.10:/usr/lib/mre/mre-1.5.0.10
     
LIBRARY_PATH=/usr/lib/firefox-1.5.0.10:/usr/lib/firefox-1.5.0.10/components:/usr/lib/mre/mre-1.5.0.10
       SHLIB_PATH=/usr/lib/firefox-1.5.0.10:/usr/lib/mre/mre-1.5.0.10
          LIBPATH=/usr/lib/firefox-1.5.0.10:/usr/lib/mre/mre-1.5.0.10
       ADDON_PATH=/usr/lib/firefox-1.5.0.10
      MOZ_PROGRAM=/usr/lib/firefox-1.5.0.10/firefox-bin
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in 
(/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/home/afolger/bin)
/usr/bin/gdb /usr/lib/firefox-1.5.0.10/firefox-bin -x /tmp/mozargs.I26279
GNU gdb Red Hat Linux (6.5-15.fc6rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".

(gdb) handle SIG33 noprint nostop
Signal        Stop      Print   Pass to program Description
SIG33         No        No      Yes             Real-time event 33
(gdb) run
Starting program: /usr/lib/firefox-1.5.0.10/firefox-bin -safe-mode
warning: Lowest section in system-supplied DSO at 0xffffe000 is .hash at 
ffffe0b4
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 4158998224 (LWP 26282)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 4132178832 (LWP 26285)]

(firefox-bin:26282): Gtk-WARNING **: Unable to locate theme engine in 
module_path: "clearlooks",
[New Thread 4121688976 (LWP 26286)]
(no debugging symbols found)
[New Thread 4110777232 (LWP 26289)]
(no debugging symbols found)

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 4158998224 (LWP 26282)]
0xf6e9c6a1 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
(gdb)
(gdb) thread apply all bt full

Thread 4 (Thread 4110777232 (LWP 26289)):
#0  0xffffe405 in __kernel_vsyscall ()
No symbol table info available.
#1  0x4fd3a42c in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x41244396 in PRP_NakedNotify () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x412451d4 in PR_WaitCondVar () from /usr/lib/libnspr4.so
No symbol table info available.
#4  0xf6c0b5d5 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libnecko.so
No symbol table info available.
#5  0x4124b16d in PR_JoinThread () from /usr/lib/libnspr4.so
No symbol table info available.
#6  0x4fd363db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x4fcb926e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 3 (Thread 4121688976 (LWP 26286)):
#0  0xffffe405 in __kernel_vsyscall ()
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
#1  0x4fd3a42c in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x41244396 in PRP_NakedNotify () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x412451d4 in PR_WaitCondVar () from /usr/lib/libnspr4.so
No symbol table info available.
#4  0xf7ee036c in nsIThread::SetMainThread ()
   from /usr/lib/firefox-1.5.0.10/libxpcom_core.so
No symbol table info available.
#5  0xf7ede33d in nsIThread::SetMainThread ()
   from /usr/lib/firefox-1.5.0.10/libxpcom_core.so
No symbol table info available.
#6  0x4124b16d in PR_JoinThread () from /usr/lib/libnspr4.so
No symbol table info available.
#7  0x4fd363db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#8  0x4fcb926e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread 4132178832 (LWP 26285)):
#0  0xffffe405 in __kernel_vsyscall ()
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
#1  0x4fcaf6d3 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x41246ee9 in PR_Poll () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0xf6c2f0d3 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libnecko.so
No symbol table info available.
#4  0xf6c2f2cc in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libnecko.so
No symbol table info available.
#5  0xf7ede33d in nsIThread::SetMainThread ()
   from /usr/lib/firefox-1.5.0.10/libxpcom_core.so
No symbol table info available.
#6  0x4124b16d in PR_JoinThread () from /usr/lib/libnspr4.so
No symbol table info available.
#7  0x4fd363db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#8  0x4fcb926e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread 4158998224 (LWP 26282)):
#0  0xf6e9c6a1 in __cxa_pure_virtual ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#1  0xf6e826c0 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#2  0xf6e7f482 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#3  0xf6e8625f in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#4  0xf6e9b224 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#5  0xf6e8625f in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#6  0xf6e97a1e in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#7  0xf6e97dc2 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#8  0xf6e9875d in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#9  0xf6e8625f in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#10 0xf6ed1885 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#11 0xf6e6e92f in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#12 0xf6fa711c in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#13 0xf7060cc1 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#14 0xf7063f07 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libgklayout.so
No symbol table info available.
#15 0xf77f1c84 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libhtmlpars.so
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
#16 0xf77f2562 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libhtmlpars.so
No symbol table info available.
#17 0xf77f3d63 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libhtmlpars.so
No symbol table info available.
#18 0xf77f4048 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libhtmlpars.so
No symbol table info available.
#19 0xf77f54dc in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libhtmlpars.so
No symbol table info available.
#20 0xf77f4aaf in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libhtmlpars.so
No symbol table info available.
#21 0xf7801d77 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libhtmlpars.so
No symbol table info available.
#22 0xf78038d6 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libhtmlpars.so
No symbol table info available.
#23 0xf7800974 in __cxa_pure_virtual ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/firefox-1.5.0.10/components/libhtmlpars.so
No symbol table info available.
#24 0xf6adea67 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libdocshell.so
No symbol table info available.
#25 0xf6c64f5c in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libnecko.so
No symbol table info available.
#26 0xf6c15ee0 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libnecko.so
No symbol table info available.
#27 0xf6c16024 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libnecko.so
No symbol table info available.
#28 0xf7ec75ed in NS_AsyncCopy ()
   from /usr/lib/firefox-1.5.0.10/libxpcom_core.so
No symbol table info available.
#29 0xf7edac61 in PL_HandleEvent ()
   from /usr/lib/firefox-1.5.0.10/libxpcom_core.so
No symbol table info available.
#30 0xf7edaeea in PL_ProcessPendingEvents ()
   from /usr/lib/firefox-1.5.0.10/libxpcom_core.so
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#31 0xf7edc717 in nsAutoMonitor::NewMonitor ()
   from /usr/lib/firefox-1.5.0.10/libxpcom_core.so
No symbol table info available.
#32 0xf7edc774 in nsAutoMonitor::NewMonitor ()
   from /usr/lib/firefox-1.5.0.10/libxpcom_core.so
No symbol table info available.
#33 0xf6b41bca in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libwidget_gtk2.so
No symbol table info available.
#34 0x41168bad in g_io_channel_unix_get_fd () from /lib/libglib-2.0.so.0
No symbol table info available.
#35 0x4113f442 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#36 0x4114241f in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#37 0x41142985 in g_main_context_iteration () from /lib/libglib-2.0.so.0
No symbol table info available.
#38 0xf6b41ff7 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libwidget_gtk2.so
No symbol table info available.
#39 0xf78543db in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libnsappshell.so
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#40 0xf784eb25 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libnsappshell.so
No symbol table info available.
#41 0xf69b856c in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libembedcomponents.so
No symbol table info available.
#42 0xf69b5017 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libembedcomponents.so
No symbol table info available.
#43 0xf7ef1c41 in XPTC_InvokeByIndex ()
   from /usr/lib/firefox-1.5.0.10/libxpcom_core.so
No symbol table info available.
#44 0xf797addb in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libxpconnect.so
No symbol table info available.
#45 0xf797ead1 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libxpconnect.so
No symbol table info available.
#46 0xf7f88a2b in js_Invoke () from /usr/lib/firefox-1.5.0.10/libmozjs.so
No symbol table info available.
#47 0xf7f8f9ee in js_Invoke () from /usr/lib/firefox-1.5.0.10/libmozjs.so
No symbol table info available.
#48 0xf7f88a84 in js_Invoke () from /usr/lib/firefox-1.5.0.10/libmozjs.so
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
#49 0xf7976f00 in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libxpconnect.so
No symbol table info available.
#50 0xf79728fb in __cxa_pure_virtual ()
   from /usr/lib/firefox-1.5.0.10/components/libxpconnect.so
No symbol table info available.
#51 0xf7ef277d in nsXPTCStubBase::Sentinel4 ()
   from /usr/lib/firefox-1.5.0.10/libxpcom_core.so
No symbol table info available.
#52 0xf7ea6ad6 in nsAutoLock::~nsAutoLock ()
   from /usr/lib/firefox-1.5.0.10/libxpcom_core.so
No symbol table info available.
#53 0x0804f4f4 in __cxa_pure_virtual ()
No symbol table info available.
#54 0x0804ab90 in __cxa_pure_virtual ()
No symbol table info available.
#55 0x4fc01f2c in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#56 0x0804aae1 in __cxa_pure_virtual ()
No symbol table info available.
(gdb) 
Comment 9 A. Folger 2007-05-09 17:07:55 EDT
Developers, have you been able to study this issue? I am still without a 
functional firefox setup. Your help is very much appreciated.
Comment 10 A. Folger 2007-05-12 19:32:12 EDT
I played around with the dotfiles, and finally found the likely 
culprit: .ICEauthority. I still have the file, and can make it available, 
assuming that would help anyone. However, I have no idea how the file got into 
my homedir (I thought it belonged there and had been there forever). 
Interestingly enough, it didn't bother firefox2 of Ubuntu Feisty. Anyway, at 
this point, the matter is no longer pressing for me.
Comment 11 Martin Stransky 2007-09-11 08:09:16 EDT
Aha, okay. Closing as WORKSFORME for now.

Note You need to log in before you can comment on or make changes to this bug.